Loading...
Searching...
No Matches
janus_plugin_rtp_extensions Struct Reference

Janus plugin RTP extensions. More...

`#include <plugin.h>`

## Data Fields

int8_t | audio_level
| Audio level, in DB (0-127, 127=silence); -1 means no extension.
gboolean | audio_level_vad
| Whether the encoder detected voice activity (part of audio-level extension).
int16_t | video_rotation
| Video orientation rotation (0, 90, 180, 270); -1 means no extension.
gboolean | video_back_camera
| Whether the video orientation extension says this is the back camera.
gboolean | video_flipped
| Whether the video orientation extension says it's flipped horizontally.
int16_t | min_delay
| Min and max playout delay, if available; -1 means no extension.
int16_t | max_delay
uint8_t | dd_len
| Length of Dependency Descriptor data, if available.
uint8_t | dd_content [256]
| Dependency Descriptor content.

## Detailed Description

Janus plugin RTP extensions.

## Field Documentation

## audio_level

int8_t janus_plugin_rtp_extensions::audio_level

Audio level, in DB (0-127, 127=silence); -1 means no extension.

## audio_level_vad

gboolean janus_plugin_rtp_extensions::audio_level_vad

Whether the encoder detected voice activity (part of audio-level extension).

Note
  Browsers apparently always set this to 1, so it's unreliable and should be ignored

## dd_content

uint8_t janus_plugin_rtp_extensions::dd_content[256]

Dependency Descriptor content.

## dd_len

uint8_t janus_plugin_rtp_extensions::dd_len

Length of Dependency Descriptor data, if available.

## max_delay

int16_t janus_plugin_rtp_extensions::max_delay

## min_delay

int16_t janus_plugin_rtp_extensions::min_delay

Min and max playout delay, if available; -1 means no extension.

## video_back_camera

gboolean janus_plugin_rtp_extensions::video_back_camera

Whether the video orientation extension says this is the back camera.

Note
  Will be ignored if no rotation value is set

## video_flipped

gboolean janus_plugin_rtp_extensions::video_flipped

Whether the video orientation extension says it's flipped horizontally.

Note
  Will be ignored if no rotation value is set

## video_rotation

int16_t janus_plugin_rtp_extensions::video_rotation

Video orientation rotation (0, 90, 180, 270); -1 means no extension.

The documentation for this struct was generated from the following file:

- plugin.h